﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Blockbuster
{
    class SelectedBlock
    {
        private int xOffset;
        private int yOffset;
        private Block block;


        public SelectedBlock(Block block, Point mouseLocation)
        {
            this.block = block;

            xOffset = (mouseLocation.X - block.Position.X);
            yOffset = (mouseLocation.Y - block.Position.Y);
        }

        public void Update(Point mouseLocation)
        {
            block.Position = new Rectangle((mouseLocation.X - xOffset), (mouseLocation.Y - yOffset), 32, 32);
        }
    }
}
